﻿<%@ Language="JScript" %>
<!-- #include file="Default.asp.js" -->

<%
    var webObjectTreeId = "WebObjectTree1";
    var webObjectTreeAboutInfoId = "AboutInfo1";
    var webObjectTreeFullPathEncoded = GetWebObjectTreeProperty(webObjectTreeId, "FullPath", "");
    var webObjectTreeFullPathDecoded = HtmlDecode(webObjectTreeFullPathEncoded);
    var webObjectTreeFullPathEscaped = webObjectTreeFullPathEncoded.replace("'", "\\'");
%>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree Studio Sample</title>
    <script src="./includes/loader.js" type="text/javascript"></script>
    <script src="./includes/webobjecttree.js" type="text/javascript"></script>
    <link href="./includes/webobjecttree.css" rel="stylesheet" type="text/css" />
    <script src="./samples.js" type="text/javascript"></script>
    <link href="./samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="InitializePage('<%= webObjectTreeId %>', '<%= webObjectTreeAboutInfoId %>', '<%= webObjectTreeFullPathEscaped %>');">
    <form action="./Default.asp" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree Studio</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select artist:<br />
                        <div id="<%= webObjectTreeId %>"></div>
					</div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="./Default.asp">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">ASP Sample:</div>
                    <div class="csContent">
                        This sample demonstrates how you can use <b>WebObjectTree Studio</b> in an ASP environment.<br />
                        <br />
                        To use the WebObjectTree Studio compiled code in your web application, you will need to implement these steps:<br />
                        <br />
                        1) Include the WebObjectTree loader library on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">script</span> <span style="color:#ff0000">language</span><span style="color:#0000ff">=&quot;javascript&quot;</span> <span style="color:#ff0000">src</span><span style="color:#0000ff">=&quot;loader.js&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/javascript&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">script</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        2) Include the WebObjectTree core library on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">script</span> <span style="color:#ff0000">language</span><span style="color:#0000ff">=&quot;javascript&quot;</span> <span style="color:#ff0000">src</span><span style="color:#0000ff">=&quot;webobjecttree.js&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/javascript&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">script</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        3) Include the WebObjectTree style sheet on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">link</span> <span style="color:#ff0000">href</span><span style="color:#0000ff">=&quot;webobjecttree.css&quot;</span> <span style="color:#ff0000">rel</span><span style="color:#0000ff">=&quot;stylesheet&quot;</span> <span style="color:#ff0000">type</span><span style="color:#0000ff">=&quot;text/css&quot;</span><span style="color:#0000ff"> /&gt;</span>
                        </div>
                        <br />
                        4) Add a DIV tag containing an identifier for your WebObjectTree instance on your page:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">&lt;</span><span style="color:#800000">div</span> <span style="color:#ff0000">id</span><span style="color:#0000ff">=&quot;WebObjectTree1&quot;</span><span style="color:#0000ff">&gt;</span><span style="color:#0000ff">&lt;/</span><span style="color:#800000">div</span><span style="color:#0000ff">&gt;</span>
                        </div>
                        <br />
                        5) Call the WebObjectTree Studio client-side initialize method, passing in the identifier from above:<br />
                        <br />
                        <div class="csCode">
                            WebObjectTreeInitialize(<span style="color:#ff0000">&quot;WebObjectTree1&quot;</span>);
                        </div>
                        <br />
                        The control settings and item data configured in WebObjectTree Studio will be available in the following variables, and will be use to configure your control instance:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#0000ff">var</span> WebObjectTreeSettings = {...};<br />
                            <span style="color:#0000ff">var</span> WebObjectTreeData = {...};
                        </div>
                        <br />
                        In this sample, the WebObjectTree children are populated from the item objects created in WebObjectTree Studio.
                        Alternatively, if no item objects are created in the Studio application, then all the other WebObjectTree data retrieval methods are available for dynamically loading the children.<br />
                        <br />
                        This sample also demonstrates how to extract the selected path in the WebObjectTree control on the server, and then re-insert it into the control settings to preserve this value between postbacks.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select an artist, organized by painters and musicians.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><%= (webObjectTreeFullPathEncoded == "") ? "/Painter" : webObjectTreeFullPathEncoded %></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent" id="<%= webObjectTreeAboutInfoId %>"></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /DevelopmentPlatforms<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ASP
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
